# JavaBasePlugin

abstract class JavaBasePlugin : Plugin<T>

A org.gradle.api.Plugin which compiles and tests Java source, and assembles it into a JAR file.

This plugin is automatically applied to most projects that build any JVM language source. It creates a JavaPluginExtension extension named `java` that is used to configure all jvm-related components in the project. It is responsible for configuring the conventions of any SourceSets that are present and used by (for example) the Java, Groovy, or Kotlin plugins.

#### See also

<a href="https://docs.gradle.org/current/userguide/java_plugin.html">Java plugin reference</a>

## Constructors

JavaBasePlugin
Link copied to clipboard
@Inject
constructor(objectFactory: ObjectFactory, jvmPluginServices: JvmPluginServices, propertyFactory: PropertyFactory)

## Properties

BUILD_DEPENDENTS_TASK_NAME
Link copied to clipboard
val BUILD_DEPENDENTS_TASK_NAME: String = "buildDependents"
BUILD_NEEDED_TASK_NAME
Link copied to clipboard
val BUILD_NEEDED_TASK_NAME: String = "buildNeeded"
BUILD_TASK_NAME
Link copied to clipboard
val BUILD_TASK_NAME: String = "build"
CHECK_TASK_NAME
Link copied to clipboard
val CHECK_TASK_NAME: String = "check"
COMPILE_CLASSPATH_PACKAGING_SYSTEM_PROPERTY
Link copied to clipboard
val COMPILE_CLASSPATH_PACKAGING_SYSTEM_PROPERTY: String = "org.gradle.java.compile-classpath-packaging"
Set this property to use JARs build from subprojects, instead of the classes folder from these project, on the compile classpath.
DOCUMENTATION_GROUP
Link copied to clipboard
val DOCUMENTATION_GROUP: String = "documentation"
Task group name for documentation-related tasks.
UNPUBLISHABLE_VARIANT_ARTIFACTS
Link copied to clipboard
val UNPUBLISHABLE_VARIANT_ARTIFACTS: Set<String>
A list of known artifact types which are known to prevent from publication.
VERIFICATION_GROUP
Link copied to clipboard
val VERIFICATION_GROUP: String = "verification"

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)